JDK1.8 JVM 参数设置后,GC打印出来的信息不对应 5C

1.JVM 参数设置

-Xms50m -Xmx50m -Xmn10m -XX:SurvivorRatio=8

2.打印结果:

Heap
 PSYoungGen      total 9216K, used 6460K [0x00000000ff600000, 0x0000000100000000, 0x0000000100000000)
  eden space 8192K, 78% used [0x00000000ff600000,0x00000000ffc4f208,0x00000000ffe00000)
  from space 1024K, 0% used [0x00000000fff00000,0x00000000fff00000,0x0000000100000000)
  to   space 1024K, 0% used [0x00000000ffe00000,0x00000000ffe00000,0x00000000fff00000)
 ParOldGen       total 40960K, used 31546K [0x00000000fce00000, 0x00000000ff600000, 0x00000000ff600000)
  object space 40960K, 77% used [0x00000000fce00000,0x00000000feccea78,0x00000000ff600000)
 Metaspace       used 3514K, capacity 4498K, committed 4864K, reserved 1056768K
  class space    used 387K, capacity 390K, committed 512K, reserved 1048576K

可以看到 老年代是40m
2. 当JVM 参数

-Xms51m -Xmx51m -Xmn10m -XX:SurvivorRatio=8

GC打印结果:

Heap
 PSYoungGen      total 9216K, used 6508K [0x00000000ff600000, 0x0000000100000000, 0x0000000100000000)
  eden space 8192K, 77% used [0x00000000ff600000,0x00000000ffc3b100,0x00000000ffe00000)
  from space 1024K, 12% used [0x00000000fff00000,0x00000000fff20000,0x0000000100000000)
  to   space 1024K, 0% used [0x00000000ffe00000,0x00000000ffe00000,0x00000000fff00000)
 ParOldGen       total 43008K, used 31535K [0x00000000fcc00000, 0x00000000ff600000, 0x00000000ff600000)
  object space 43008K, 73% used [0x00000000fcc00000,0x00000000feacbfb8,0x00000000ff600000)
 Metaspace       used 3524K, capacity 4498K, committed 4864K, reserved 1056768K
  class space    used 387K, capacity 390K, committed 512K, reserved 1048576K

这里年老代为什么 是42m?不应该是41m吗?

1个回答

m0_37970699
爱飞的笨鸟 正如里面所说才应该是41m啊
2 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
windowsServer2003可以配置jdk1.8吗?
winServer2003可以配置jdk1.8吗 winServer2003可以配置jdk1.8吗 winServer2003可以配置jdk1.8吗 winServer2003可以配置jdk1.8吗
jdk1.8无法发布webservice接口
今天在jdk1.8环境下用@WebService注解测试发布一个webservice接口,结果执行完Endpoint.publish方法后进程直接销毁了,没有挂起,把同样的代码放在jdk1.7环境下就能正确发布,打家有没有遇到过这样的问题;上图: jdk1.8环境: ![图片说明](https://img-ask.csdn.net/upload/201908/12/1565602617_155794.png) jdk1.7环境: ![图片说明](https://img-ask.csdn.net/upload/201908/12/1565602628_885401.png) jdk的完整版本为1.8.0_181
开发文档jdk版本和java jdk版本什么关系?我网上找的开发文档是jdk1.8,但是电脑上javajdk版本是12.0
开发文档jdk版本和java jdk版本什么关系?我网上找的开发文档是jdk1.8,但是电脑上javajdk版本是12.0? 学习中碰到了好几次jdk更新之前能用的api都不能用了 网上看到有人说jdk1.8是最好用的 问题过于小白还望各位大佬赐教QAQ ![图片说明](https://img-ask.csdn.net/upload/201912/25/1577280030_873100.png)![图片说明](https://img-ask.csdn.net/upload/201912/25/1577280058_864150.png) ![图片说明](https://img-ask.csdn.net/upload/201912/25/1577280153_733104.png)
jdk1.8 出现unsupported major.minor version 52.0
环境变量配置jdk1.8 yjb@user:~/IdeaProjects/First$ java -version java version "1.8.0_73" Java(TM) SE Runtime Environment (build 1.8.0_73-b02) Java HotSpot(TM) 64-Bit Server VM (build 25.73-b02, mixed mode) yjb@user:~/IdeaProjects/First$ 通过命令行可以运行程序,但是在idea下运行出现unsupported major.minor version 52.0 /home/yjb/Sofware/jdk1.8.0_73/bin/java -Didea.launcher.port=7532 -Didea.launcher.bin.path=/home/yjb/Sofware/idea-IC-162.1121.32/bin -Dfile.encoding=UTF-8 -classpath /home/yjb/Sofware/jdk1.8.0_73/jre/lib/charsets.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/deploy.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/cldrdata.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/dnsns.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/jaccess.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/jfxrt.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/localedata.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/nashorn.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/sunec.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/sunjce_provider.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/sunpkcs11.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/ext/zipfs.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/javaws.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/jce.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/jfr.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/jfxswt.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/jsse.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/management-agent.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/plugin.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/resources.jar:/home/yjb/Sofware/jdk1.8.0_73/jre/lib/rt.jar:/home/yjb/IdeaProjects/First/out/production/First:/home/yjb/IdeaProjects/First/tmVar333.jar:/home/yjb/IdeaProjects/First/tmVar.jar:/home/yjb/IdeaProjects/First/tmVar22.jar:/home/yjb/IdeaProjects/First/GNormPlus.jar:/home/yjb/IdeaProjects/First/tmVarJava.jar:/home/yjb/Sofware/idea-IC-162.1121.32/lib/idea_rt.jar com.intellij.rt.execution.application.AppMain Try null Exception in thread "main" java.lang.UnsupportedClassVersionError: tmVarlib/tmVar : Unsupported major.minor version 52.0 null at java.lang.ClassLoader.defineClass1(Native Method) null at java.lang.ClassLoader.defineClass(ClassLoader.java:803) null at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) null at java.net.URLClassLoader.defineClass(URLClassLoader.java:449) null at java.net.URLClassLoader.access$100(URLClassLoader.java:71) null at java.net.URLClassLoader$1.run(URLClassLoader.java:361) null at java.net.URLClassLoader$1.run(URLClassLoader.java:355) null at java.security.AccessController.doPrivileged(Native Method) null at java.net.URLClassLoader.findClass(URLClassLoader.java:354) null at java.lang.ClassLoader.loadClass(ClassLoader.java:425) null at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308) null at java.lang.ClassLoader.loadClass(ClassLoader.java:358) null at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482) end error!!!!!!!!!!!!!
IntelliJ IDEA 2019 不支持JDK1.5?
公司有一个老的项目,使用IDEA2019无法编译 项目情况:web工程(非maven项目),jdk1.5,tomcat5.5,struts。 网上所有的情况都试过了,是不是IDEA放弃JDK1.5了? 报错: ![图片说明](https://img-ask.csdn.net/upload/201912/29/1577591916_922722.jpg) 项目设置: 1 ![图片说明](https://img-ask.csdn.net/upload/201912/29/1577591928_74051.png) 2 ![图片说明](https://img-ask.csdn.net/upload/201912/29/1577591971_204515.png) 3 ![图片说明](https://img-ask.csdn.net/upload/201912/29/1577591979_44981.png) idea设置: ![图片说明](https://img-ask.csdn.net/upload/201912/29/1577591993_593724.jpg) 按照官网所说设置成jdk1.5,idea无法启动,报版本过低! ``` https://intellij-support.jetbrains.com/hc/en-us/articles/206544879-Selecting-the-JDK-version-the-IDE-will-run-under ``` ![图片说明](https://img-ask.csdn.net/upload/201912/29/1577601649_947426.png)
jdk1.8的lambda表达式
jdk1.8的lambda表达式,当两个方法的名称相同,但是参数类型不同,lambda表达式怎么写的 ``` public static void execute(Future<Integer> future){ future = cs.submit(() -> { return 1; }); } public static void execute(Runnable runnable){ threadPool.execute(runnable); } ``` 类似这种, ``` public static void main(String[] args) { execute(() -> { }); } ``` 怎么去识别调用到哪个方法。
JDK1.8获取时间比系统时间少13小时(获取时区出错导致)
系统为:Ubuntu14.04,安装jdk1.8后,JDK1.8获取时间比系统时间少13小时,不止如何配置
IDEA 2018.3.4版本,jdk1.8, 用scanner接受控制台的输入时,发现会报错,用next和nextLine都不行
运行之后在下方控制台不管输入什么都报错:Process finished with exit code -1073741819 (0xC0000005). 什么也不输入一会儿之后也bao'zhe'ge ``` import java.util.Scanner; public class Test { public static void main(String[] args) { Scanner s = new Scanner(System.in); String s1 = s.nextLine(); System.out.println(s1); } } ``` 请问这是什么原因呢造成的?怎么解决? 控制台的信息是: ``` "C:\Program Files\Java\jdk1.8.0_171\bin\java.exe" "-javaagent:C:\Program Files\JetBrains\IntelliJ IDEA 2018.3.4\lib\idea_rt.jar=64209:C:\Program Files\JetBrains\IntelliJ IDEA 2018.3.4\bin" -Dfile.encoding=UTF-8 -classpath "C:\Program Files\Java\jdk1.8.0_171\jre\lib\charsets.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\deploy.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\access-bridge-64.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\cldrdata.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\dnsns.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\jaccess.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\jfxrt.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\localedata.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\nashorn.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\sunec.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\sunjce_provider.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\sunmscapi.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\sunpkcs11.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\ext\zipfs.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\javaws.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\jce.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\jfr.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\jfxswt.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\jsse.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\management-agent.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\plugin.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\resources.jar;C:\Program Files\Java\jdk1.8.0_171\jre\lib\rt.jar;C:\Users\wb925\IdeaProjects\practise\out\production\practise" busywork.w0215.Test Process finished with exit code -1073741819 (0xC0000005) ```
jdk1.6可以使用1.8的加密算法吗
由于最近服务器openssh升级到7.3版本,原来用jdk1.6开发的程序使用jsch连接不到openssh7.3版本的服务器,但是更换jdk1.8后可以连接,我知道是由于7.3屏蔽掉了之前的一些算法所以无法连接,请问各位大牛有没有什么方法,在不修改服务器配置,使用1.8的功能,比如更换掉jce.jar
JDK1.8安装完成不需要配置环境变量?
今天安装了一个JDK1.8,之前是1.7的,刚安装完,我cmd里看了下,就变成1.8的, 我还没有配置环境变量就变成1.8,后来打开我的电脑 配置环境变量页面,看到还是1.7呀,可是cmd里面自动变了,好奇怪啊,这是为什么?
maven 3.3 不能 兼容 jdk 1.6 ??
maven 3.3 不能 兼容 jdk 1.6 ?? 貌似 jdk 1.8没事
linux安装完jdk1.8却变成1.7
看图: ![图片说明](https://img-ask.csdn.net/upload/201703/18/1489850771_297090.png) 我在官网下的最新版jdk1.8,安装到linux系统并配置好环境变量后,检查版本却显示的1.7,而且我安装最新版的eclipse也安装不了,提示jdk必须是1.8的。 有没有知道这是怎么回事的?
Jenkins打包项目报错,JDK1.8
``` [INFO] BUILD FAILURE [INFO] ------------------------------------------------------------------------ [INFO] Total time: 6.400 s [INFO] Finished at: 2019-12-31T17:08:37+08:00 [INFO] Final Memory: 32M/117M [INFO] ------------------------------------------------------------------------ [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.1:compile (default-compile) on project cmdbunion_eureka: Execution default-compile of goal org.apache.maven.plugins:maven-compiler-plugin:3.8.1:compile failed: A required class was missing while executing org.apache.maven.plugins:maven-compiler-plugin:3.8.1:compile: org/codehaus/plexus/compiler/util/scan/InclusionScanException [ERROR] ----------------------------------------------------- [ERROR] realm = plugin>org.apache.maven.plugins:maven-compiler-plugin:3.8.1 [ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy [ERROR] urls[0] = file:/DATA/repo/repository/org/apache/maven/plugins/maven-compiler-plugin/3.8.1/maven-compiler-plugin-3.8.1.jar [ERROR] urls[1] = file:/DATA/repo/repository/org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.jar [JENKINS] Archiving /DATA/var/lib/jenkins/workspace/cmdbunion_parent/cmdbunion_eureka/pom.xml to com.travelsky/cmdbunion_eureka/0.0.1-SNAPSHOT/cmdbunion_eureka-0.0.1-SNAPSHOT.pom [ERROR] Number of foreign imports: 1 [ERROR] import: Entry[import from realm ClassRealm[maven.api, parent: null]] [ERROR] [ERROR] -----------------------------------------------------: org.codehaus.plexus.compiler.util.scan.InclusionScanException [ERROR] -> [Help 1] [ERROR] [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch. [ERROR] Re-run Maven using the -X switch to enable full debug logging. [JENKINS] Archiving /DATA/var/lib/jenkins/workspace/cmdbunion_parent/cmdbunion_titsm/pom.xml to com.travelsky/cmdbunion_titsm/0.0.1-SNAPSHOT/cmdbunion_titsm-0.0.1-SNAPSHOT.pom [ERROR] [ERROR] For more information about the errors and possible solutions, please read the following articles: [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginContainerException [ERROR] [ERROR] After correcting the problems, you can resume the build with the command [ERROR] mvn <goals> -rf :cmdbunion_eureka ``` ![图片说明](https://img-ask.csdn.net/upload/201912/31/1577783774_342114.png) ![图片说明](https://img-ask.csdn.net/upload/201912/31/1577783814_821416.png)
请各位大神帮忙看下,jdk1.8的方法能替换成jdk1.6的方法实现吗?
![图片说明](https://img-ask.csdn.net/upload/201607/19/1468908179_524862.png) ![图片说明](https://img-ask.csdn.net/upload/201607/19/1468908191_903653.png) 上一个大大走了,把半截子的东西丢给我了。。。他用的是jdk1.8的版本写的东西,但是我们统一应该用的是jdk1.6的……在此问一下1.6里面有没有一个可以直接实现图中目的的类和方法?
tomcat 的最新版本支持jdk1.8的编译环境吗?
tomcat 的最新版本支持jdk1.8的编译环境吗?现在在搞nutch框架,很怕这种环境不匹配的问题。
哪里有jdk1.8.0里sun.net里所有类的中文使用手册啊?
是不是jdk1.8.0的FtpClient变了?openServer这个方法居然说没被定义。。。感谢!
mac配置好了环境变量为什么在studio里面找不到我安装的jdk1.8
mac配置好了环境变量为什么在studio里面找不到我安装的jdk1.8
项目更换JDK1.8和tomcat8后启动项目报错
![图片说明](https://img-ask.csdn.net/upload/201807/13/1531452758_342815.png) 原项目从myeclipse导入eclipse,替换完其中的一个第三方类库后需要从JDK1.7升到1.8,tomcat也从7升到8,然后就报错,说是LifecycleException,原因是java.lang.ClassNotFoundException: com.app.frame.util.logging.Log,但是这个包有导入,Log.class文件也存在,麻烦问下是什么问题?
JDK1.8新特性代码如何用1.7来写
小白一个,JDK1.8的新增语法这些还不了解,正在学习 如下是一个转换工具类,用JDK1.7该如何写 ``` public static class Functions{ /**yyyy-MM-dd**/ public static final Function<Object, Object> DateFormat = (Object obj)->{ if(obj!=null){ try{ return new SimpleDateFormat("yyyy-MM-dd").format(obj); }catch(Exception e){ return null; } } return null; }; /**yyyy-MM-dd HH:mm:ss**/ public static final Function<Object, Object> DateTimeFormat = (Object obj)->{ if(obj!=null){ try{ return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(obj); }catch(Exception e){ return null; } } return null; }; /**true:是,false:否**/ public static final Function<Object, Object> BooleanDefault = (Object obj)->{ if(Boolean.TRUE.equals(obj)) return "是"; else if(Boolean.FALSE.equals(obj)) return "否"; return null; }; } ``` 这是调用的代码片段。这里的((Function<Object,Object>)v).apply又该如何写 ``` else if(v instanceof Function) cell.put(keyName, ((Function<Object,Object>)v).apply(BeanUtils.getPropertyDescriptor(data.getClass(), fieldName).getReadMethod().invoke(data))); ```
相见恨晚的超实用网站
搞学习 知乎:www.zhihu.com 简答题:http://www.jiandati.com/ 网易公开课:https://open.163.com/ted/ 网易云课堂:https://study.163.com/ 中国大学MOOC:www.icourse163.org 网易云课堂:study.163.com 哔哩哔哩弹幕网:www.bilibili.com 我要自学网:www.51zxw
爬虫福利二 之 妹子图网MM批量下载
爬虫福利一:27报网MM批量下载    点击 看了本文,相信大家对爬虫一定会产生强烈的兴趣,激励自己去学习爬虫,在这里提前祝:大家学有所成! 目标网站:妹子图网 环境:Python3.x 相关第三方模块:requests、beautifulsoup4 Re:各位在测试时只需要将代码里的变量 path 指定为你当前系统要保存的路径,使用 python xxx.py 或IDE运行即可。
字节跳动视频编解码面经
引言 本文主要是记录一下面试字节跳动的经历。 三四月份投了字节跳动的实习(图形图像岗位),然后hr打电话过来问了一下会不会opengl,c++,shador,当时只会一点c++,其他两个都不会,也就直接被拒了。 七月初内推了字节跳动的提前批,因为内推没有具体的岗位,hr又打电话问要不要考虑一下图形图像岗,我说实习投过这个岗位不合适,不会opengl和shador,然后hr就说秋招更看重基础。我当时
开源一个功能完整的SpringBoot项目框架
福利来了,给大家带来一个福利。 最近想了解一下有关Spring Boot的开源项目,看了很多开源的框架,大多是一些demo或者是一个未成形的项目,基本功能都不完整,尤其是用户权限和菜单方面几乎没有完整的。 想到我之前做的框架,里面通用模块有:用户模块,权限模块,菜单模块,功能模块也齐全了,每一个功能都是完整的。 打算把这个框架分享出来,供大家使用和学习。 为什么用框架? 框架可以学习整体
源码阅读(19):Java中主要的Map结构——HashMap容器(下1)
(接上文《源码阅读(18):Java中主要的Map结构——HashMap容器(中)》) 3.4.4、HashMap添加K-V键值对(红黑树方式) 上文我们介绍了在HashMap中table数组的某个索引位上,基于单向链表添加新的K-V键值对对象(HashMap.Node&lt;K, V&gt;类的实例),但是我们同时知道在某些的场景下,HashMap中table数据的某个索引位上,数据是按照红黑树
c++制作的植物大战僵尸,开源,一代二代结合游戏
    此游戏全部由本人自己制作完成。游戏大部分的素材来源于原版游戏素材,少部分搜集于网络,以及自己制作。 此游戏为同人游戏而且仅供学习交流使用,任何人未经授权,不得对本游戏进行更改、盗用等,否则后果自负。 目前有六种僵尸和六种植物,植物和僵尸的动画都是本人做的。qq:2117610943 开源代码下载 提取码:3vzm 点击下载--&gt; 11月28日 新增四种植物 统一植物画风,全部修
Java学习的正确打开方式
在博主认为,对于入门级学习java的最佳学习方法莫过于视频+博客+书籍+总结,前三者博主将淋漓尽致地挥毫于这篇博客文章中,至于总结在于个人,实际上越到后面你会发现学习的最好方式就是阅读参考官方文档其次就是国内的书籍,博客次之,这又是一个层次了,这里暂时不提后面再谈。博主将为各位入门java保驾护航,各位只管冲鸭!!!上天是公平的,只要不辜负时间,时间自然不会辜负你。 何谓学习?博主所理解的学习,它
程序员必须掌握的核心算法有哪些?
由于我之前一直强调数据结构以及算法学习的重要性,所以就有一些读者经常问我,数据结构与算法应该要学习到哪个程度呢?,说实话,这个问题我不知道要怎么回答你,主要取决于你想学习到哪些程度,不过针对这个问题,我稍微总结一下我学过的算法知识点,以及我觉得值得学习的算法。这些算法与数据结构的学习大多数是零散的,并没有一本把他们全部覆盖的书籍。下面是我觉得值得学习的一些算法以及数据结构,当然,我也会整理一些看过
Python——画一棵漂亮的樱花树(不同种樱花+玫瑰+圣诞树喔)
最近翻到一篇知乎,上面有不少用Python(大多是turtle库)绘制的树图,感觉很漂亮,我整理了一下,挑了一些我觉得不错的代码分享给大家(这些我都测试过,确实可以生成喔~) one 樱花树 动态生成樱花 效果图(这个是动态的): 实现代码 import turtle as T import random import time # 画樱花的躯干(60,t) def Tree(branch
linux系列之常用运维命令整理笔录
本博客记录工作中需要的linux运维命令,大学时候开始接触linux,会一些基本操作,可是都没有整理起来,加上是做开发,不做运维,有些命令忘记了,所以现在整理成博客,当然vi,文件操作等就不介绍了,慢慢积累一些其它拓展的命令,博客不定时更新 顺便拉下票,我在参加csdn博客之星竞选,欢迎投票支持,每个QQ或者微信每天都可以投5票,扫二维码即可,http://m234140.nofollow.ax.
Python 基础(一):入门必备知识
目录1 标识符2 关键字3 引号4 编码5 输入输出6 缩进7 多行8 注释9 数据类型10 运算符10.1 常用运算符10.2 运算符优先级 1 标识符 标识符是编程时使用的名字,用于给变量、函数、语句块等命名,Python 中标识符由字母、数字、下划线组成,不能以数字开头,区分大小写。 以下划线开头的标识符有特殊含义,单下划线开头的标识符,如:_xxx ,表示不能直接访问的类属性,需通过类提供
深度学习图像算法在内容安全领域的应用
互联网给人们生活带来便利的同时也隐含了大量不良信息,防范互联网平台有害内容传播引起了多方面的高度关注。本次演讲从技术层面分享网易易盾在内容安全领域的算法实践经验,包括深度学习图
程序员接私活怎样防止做完了不给钱?
首先跟大家说明一点,我们做 IT 类的外包开发,是非标品开发,所以很有可能在开发过程中会有这样那样的需求修改,而这种需求修改很容易造成扯皮,进而影响到费用支付,甚至出现做完了项目收不到钱的情况。 那么,怎么保证自己的薪酬安全呢? 我们在开工前,一定要做好一些证据方面的准备(也就是“讨薪”的理论依据),这其中最重要的就是需求文档和验收标准。一定要让需求方提供这两个文档资料作为开发的基础。之后开发
网页实现一个简单的音乐播放器(大佬别看。(⊙﹏⊙))
今天闲着无事,就想写点东西。然后听了下歌,就打算写个播放器。 于是乎用h5 audio的加上js简单的播放器完工了。 欢迎 改进 留言。 演示地点跳到演示地点 html代码如下`&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;music&lt;/title&gt; &lt;meta charset="utf-8"&gt
Python十大装B语法
Python 是一种代表简单思想的语言,其语法相对简单,很容易上手。不过,如果就此小视 Python 语法的精妙和深邃,那就大错特错了。本文精心筛选了最能展现 Python 语法之精妙的十个知识点,并附上详细的实例代码。如能在实战中融会贯通、灵活使用,必将使代码更为精炼、高效,同时也会极大提升代码B格,使之看上去更老练,读起来更优雅。 1. for - else 什么?不是 if 和 else 才
数据库优化 - SQL优化
前面一篇文章从实例的角度进行数据库优化,通过配置一些参数让数据库性能达到最优。但是一些“不好”的SQL也会导致数据库查询变慢,影响业务流程。本文从SQL角度进行数据库优化,提升SQL运行效率。 判断问题SQL 判断SQL是否有问题时可以通过两个表象进行判断: 系统级别表象 CPU消耗严重 IO等待严重 页面响应时间过长
2019年11月中国大陆编程语言排行榜
2019年11月2日,我统计了某招聘网站,获得有效程序员招聘数据9万条。针对招聘信息,提取编程语言关键字,并统计如下: 编程语言比例 rank pl_ percentage 1 java 33.62% 2 c/c++ 16.42% 3 c_sharp 12.82% 4 javascript 12.31% 5 python 7.93% 6 go 7.25% 7
通俗易懂地给女朋友讲:线程池的内部原理
餐厅的约会 餐盘在灯光的照耀下格外晶莹洁白,女朋友拿起红酒杯轻轻地抿了一小口,对我说:“经常听你说线程池,到底线程池到底是个什么原理?”我楞了一下,心里想女朋友今天是怎么了,怎么突然问出这么专业的问题,但做为一个专业人士在女朋友面前也不能露怯啊,想了一下便说:“我先给你讲讲我前同事老王的故事吧!” 大龄程序员老王 老王是一个已经北漂十多年的程序员,岁数大了,加班加不动了,升迁也无望,于是拿着手里
经典算法(5)杨辉三角
杨辉三角 是经典算法,这篇博客对它的算法思想进行了讲解,并有完整的代码实现。
腾讯算法面试题:64匹马8个跑道需要多少轮才能选出最快的四匹?
昨天,有网友私信我,说去阿里面试,彻底的被打击到了。问了为什么网上大量使用ThreadLocal的源码都会加上private static?他被难住了,因为他从来都没有考虑过这个问题。无独有偶,今天笔者又发现有网友吐槽了一道腾讯的面试题,我们一起来看看。 腾讯算法面试题:64匹马8个跑道需要多少轮才能选出最快的四匹? 在互联网职场论坛,一名程序员发帖求助到。二面腾讯,其中一个算法题:64匹
面试官:你连RESTful都不知道我怎么敢要你?
面试官:了解RESTful吗? 我:听说过。 面试官:那什么是RESTful? 我:就是用起来很规范,挺好的 面试官:是RESTful挺好的,还是自我感觉挺好的 我:都挺好的。 面试官:… 把门关上。 我:… 要干嘛?先关上再说。 面试官:我说出去把门关上。 我:what ?,夺门而去 文章目录01 前言02 RESTful的来源03 RESTful6大原则1. C-S架构2. 无状态3.统一的接
为啥国人偏爱Mybatis,而老外喜欢Hibernate/JPA呢?
关于SQL和ORM的争论,永远都不会终止,我也一直在思考这个问题。昨天又跟群里的小伙伴进行了一番讨论,感触还是有一些,于是就有了今天这篇文。 声明:本文不会下关于Mybatis和JPA两个持久层框架哪个更好这样的结论。只是摆事实,讲道理,所以,请各位看官勿喷。 一、事件起因 关于Mybatis和JPA孰优孰劣的问题,争论已经很多年了。一直也没有结论,毕竟每个人的喜好和习惯是大不相同的。我也看
项目中的if else太多了,该怎么重构?
介绍 最近跟着公司的大佬开发了一款IM系统,类似QQ和微信哈,就是聊天软件。我们有一部分业务逻辑是这样的 if (msgType = "文本") { // dosomething } else if(msgType = "图片") { // doshomething } else if(msgType = "视频") { // doshomething } else { // doshom...
致 Python 初学者
欢迎来到“Python进阶”专栏!来到这里的每一位同学,应该大致上学习了很多 Python 的基础知识,正在努力成长的过程中。在此期间,一定遇到了很多的困惑,对未来的学习方向感到迷茫。我非常理解你们所面临的处境。我从2007年开始接触 python 这门编程语言,从2009年开始单一使用 python 应对所有的开发工作,直至今天。回顾自己的学习过程,也曾经遇到过无数的困难,也曾经迷茫过、困惑过。开办这个专栏,正是为了帮助像我当年一样困惑的 Python 初学者走出困境、快速成长。希望我的经验能真正帮到你
Python 编程实用技巧
Python是一门很灵活的语言,也有很多实用的方法,有时候实现一个功能可以用多种方法实现,我这里总结了一些常用的方法,并会持续更新。
“狗屁不通文章生成器”登顶GitHub热榜,分分钟写出万字形式主义大作
一、垃圾文字生成器介绍 最近在浏览GitHub的时候,发现了这样一个骨骼清奇的雷人项目,而且热度还特别高。 项目中文名:狗屁不通文章生成器 项目英文名:BullshitGenerator 根据作者的介绍,他是偶尔需要一些中文文字用于GUI开发时测试文本渲染,因此开发了这个废话生成器。但由于生成的废话实在是太过富于哲理,所以最近已经被小伙伴们给玩坏了。 他的文风可能是这样的: 你发现,...
程序员:我终于知道post和get的区别
是一个老生常谈的话题,然而随着不断的学习,对于以前的认识有很多误区,所以还是需要不断地总结的,学而时习之,不亦说乎
"狗屁不通文章生成器"登顶GitHub热榜,分分钟写出万字形式主义大作
GitHub 被誉为全球最大的同性交友网站,……,陪伴我们已经走过 10+ 年时间,它托管了大量的软件代码,同时也承载了程序员无尽的欢乐。 万字申请,废话报告,魔幻形式主义大作怎么写?兄dei,狗屁不通文章生成器了解一下。这个富有灵魂的项目名吸引了众人的目光。项目仅仅诞生一周,便冲上了GitHub趋势榜榜首(Js中文网 -前端进阶资源教程)、是榜首哦
推荐几款比较实用的工具,网站
1.盘百度PanDownload 这个云盘工具是免费的,可以进行资源搜索,提速(偶尔会抽风????) 不要去某站买付费的???? PanDownload下载地址 2.BeJSON 这是一款拥有各种在线工具的网站,推荐它的主要原因是网站简洁,功能齐全,广告相比其他广告好太多了 bejson网站 3.二维码美化 这个网站的二维码美化很好看,网站界面也很...
《程序人生》系列-这个程序员只用了20行代码就拿了冠军
你知道的越多,你不知道的越多 点赞再看,养成习惯GitHub上已经开源https://github.com/JavaFamily,有一线大厂面试点脑图,欢迎Star和完善 前言 这一期不算《吊打面试官》系列的,所有没前言我直接开始。 絮叨 本来应该是没有这期的,看过我上期的小伙伴应该是知道的嘛,双十一比较忙嘛,要值班又要去帮忙拍摄年会的视频素材,还得搞个程序员一天的Vlog,还要写BU...
相关热词 c# 输入ip c# 乱码 报表 c#选择结构应用基本算法 c# 收到udp包后回包 c#oracle 头文件 c# 序列化对象 自定义 c# tcp 心跳 c# ice连接服务端 c# md5 解密 c# 文字导航控件
立即提问